local sch = aom_sch.get_schematic_path


-- house
minetest.register_decoration({
    deco_type = "schematic",
    place_on = {"group:stone"},
    sidelen = 80,
    -- fill_ratio = 0.000006,
    fill_ratio = 0.000005,
    biomes = aom_biomes.clearing,
    y_min = aom_vars.overworld.alt_min + 20,
    y_max = aom_vars.overworld.sea_level,
    schematic = sch("buried_house_0"),
    flags = "place_center_x, place_center_z, force_placement, all_floors",
    rotation = "random",
    place_offset_y = -6
})

-- house
minetest.register_decoration({
    deco_type = "schematic",
    place_on = {"group:stone"},
    sidelen = 80,
    -- fill_ratio = 0.000006,
    fill_ratio = 0.000005,
    biomes = aom_biomes.clearing,
    y_min = aom_vars.overworld.alt_min + 20,
    y_max = aom_vars.overworld.sea_level,
    schematic = sch("buried_house_1"),
    flags = "place_center_x, place_center_z, force_placement, all_floors",
    rotation = "random",
    place_offset_y = -6
})

